Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class OrderQuery

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.OrderQuery

Deprecated

    @Deprecated
    public class OrderQuery

extends Object

Constructor Summary
`OrderQuery()` Deprecated

Method Summary
`OrderObject` | `getQualifier()` Deprecated
`OrderQuerySpec` | `getQualifierSpec()` Deprecated
`OrderObject` | `getTarget()` Deprecated
`OrderQuerySpec` | `getTargetSpec()` Deprecated
`boolean` | `isSatisfied()` Deprecated
`void` | `set(OrderQuerySpec qualSpec, OrderQuerySpec targetSpec)` Deprecated
`void` | `setIsSatisfied(boolean value)` Deprecated
`void` | `setQualifier(OrderObject qualifier)` Deprecated
`void` | `setTarget(OrderObject target)` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderQuery

    public OrderQuery()

  Deprecated

Method Detail

### set

    public void set(OrderQuerySpec qualSpec,
                    OrderQuerySpec targetSpec)

  Deprecated

### getQualifierSpec

    public OrderQuerySpec getQualifierSpec()

  Deprecated

### getTargetSpec

    public OrderQuerySpec getTargetSpec()

  Deprecated

### isSatisfied

    public boolean isSatisfied()

  Deprecated

### setIsSatisfied

    public void setIsSatisfied(boolean value)

  Deprecated

### getQualifier

    public OrderObject getQualifier()

  Deprecated

### setQualifier

    public void setQualifier(OrderObject qualifier)

  Deprecated

### getTarget

    public OrderObject getTarget()

  Deprecated

### setTarget

    public void setTarget(OrderObject target)

  Deprecated

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.